Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class TextStyleConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper
              writer2latex.xhtml.StyleWithPropertiesConverterHelper
                  writer2latex.xhtml.TextStyleConverter

    public class TextStyleConverter

extends StyleWithPropertiesConverterHelper

This class converts OpenDocument text styles to CSS2 styles. This includes conversion of text properties in other styles (paragraph, cell, graphic and presentation styles).

- TODO: Support CJK and CTL
- TODO: Support style:use-window-font-color ("automatic color")
- TODO: Support style:font-charset (other encoding)
- TODO: Support style:font-size-rel
- TODO: Support text:display and text:condition

Field Summary
`private java.util.Hashtable` | `anchorCombinedStyleNames`
`private ExportNameCollection` | `anchorStyleNames`
`private ExportNameCollection` | `anchorVisitedStyleNames`
`private static java.lang.String` | `DEFAULT_LINK_STYLE`
`private static java.lang.String` | `DEFAULT_VISITED_LINK_STYLE`
`private java.util.Hashtable` | `orgAnchorStyleNames`
`private java.util.Hashtable` | `orgAnchorVisitedStyleNames`

Fields inherited from class writer2latex.xhtml.StyleConverterHelper
`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`TextStyleConverter(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `TextStyleConverter`

Method Summary
`void` | `applyAnchorStyle(java.lang.String sStyleName, java.lang.String sVisitedStyleName, StyleInfo info)` Apply a link style, using a combination of two text styles
`void` | `applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)` Convert formatting properties for a specific text style.
`private void` | `cssHyperlink(StyleWithProperties style, CSVList props)`
`void` | `cssText(StyleWithProperties style, CSVList props, boolean bInherit)`
`void` | `cssTextBackground(StyleWithProperties style, CSVList props, boolean bInherit)`
`void` | `cssTextCommon(StyleWithProperties style, CSVList props, boolean bInherit)`
`java.lang.String` | `getDefaultTagName(StyleWithProperties style)` Create default tag name to represent a text
`java.lang.String` | `getStyleDeclarations(java.lang.String sIndent)` Convert style information for used styles
`OfficeStyleFamily` | `getStyles()` Get the family of text (character) styles
`boolean` | `isBold(StyleWithProperties style)`
`boolean` | `isFixed(StyleWithProperties style)`
`boolean` | `isItalics(StyleWithProperties style)`
`boolean` | `isSubscript(StyleWithProperties style)`
`boolean` | `isSuperscript(StyleWithProperties style)`

Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper
`applyStyle, getClassNamePrefix`

Methods inherited from class writer2latex.xhtml.StyleConverterHelper
`applyDirection, applyLang, colScale, scale`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LINK_STYLE

    private static final java.lang.String DEFAULT_LINK_STYLE

See Also:
  Constant Field Values

### DEFAULT_VISITED_LINK_STYLE

    private static final java.lang.String DEFAULT_VISITED_LINK_STYLE

See Also:
  Constant Field Values

### anchorStyleNames

    private ExportNameCollection anchorStyleNames

### anchorVisitedStyleNames

    private ExportNameCollection anchorVisitedStyleNames

### anchorCombinedStyleNames

    private java.util.Hashtable anchorCombinedStyleNames

### orgAnchorStyleNames

    private java.util.Hashtable orgAnchorStyleNames

### orgAnchorVisitedStyleNames

    private java.util.Hashtable orgAnchorVisitedStyleNames

Constructor Detail

### TextStyleConverter

    public TextStyleConverter(OfficeReader ofr,
                              Config config,
                              Converter converter,
                              int nType)

  Create a new `TextStyleConverter`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### applyAnchorStyle

    public void applyAnchorStyle(java.lang.String sStyleName,
                                 java.lang.String sVisitedStyleName,
                                 StyleInfo info)

  Apply a link style, using a combination of two text styles

  Parameters:
    `sStyleName` - name of the OpenDocument style
    `sVisitedStyleName` - name of the OpenDocument style for visited links
    `info` - the `StyleInfo` object to add information to

### getStyleDeclarations

    public java.lang.String getStyleDeclarations(java.lang.String sIndent)

  Convert style information for used styles

  Overrides:
    `getStyleDeclarations` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `sIndent` - a String of spaces to add before each line

### getStyles

    public OfficeStyleFamily getStyles()

  Get the family of text (character) styles

  Specified by:
    `getStyles` in class `StyleConverterHelper`
  Returns:
    the style family

### getDefaultTagName

    public java.lang.String getDefaultTagName(StyleWithProperties style)

  Create default tag name to represent a text

  Specified by:
    `getDefaultTagName` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `style` - to use
  Returns:
    the tag name.

### applyProperties

    public void applyProperties(StyleWithProperties style,
                                CSVList props,
                                boolean bInherit)

  Convert formatting properties for a specific text style.

  Specified by:
    `applyProperties` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `style` - the style to convert
    `props` - the `CSVList` object to add information to
    `bInherit` - true if properties should be inherited from parent style(s)

### isBold

    public boolean isBold(StyleWithProperties style)

### isItalics

    public boolean isItalics(StyleWithProperties style)

### isFixed

    public boolean isFixed(StyleWithProperties style)

### isSuperscript

    public boolean isSuperscript(StyleWithProperties style)

### isSubscript

    public boolean isSubscript(StyleWithProperties style)

### cssText

    public void cssText(StyleWithProperties style,
                        CSVList props,
                        boolean bInherit)

### cssTextCommon

    public void cssTextCommon(StyleWithProperties style,
                              CSVList props,
                              boolean bInherit)

### cssTextBackground

    public void cssTextBackground(StyleWithProperties style,
                                  CSVList props,
                                  boolean bInherit)

### cssHyperlink

    private void cssHyperlink(StyleWithProperties style,
                              CSVList props)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD